class CreateMenuCategories < ActiveRecord::Migration[5.1]
  def change
    create_table :menu_categories do |t|
      t.references :menu, foreign_key: true
      t.string :code, :null => false
      t.string :name, :null => false
      t.string :alt_name
      t.integer :order_by
      t.string :created_by, :null => false
      t.references :menu_category, :null => true

      t.timestamps
    end
  end
end
